/************************************************************************
File Name:	Div_test.asm

Date Modified:	05/22/00		GJO
				05/25/00		GJO	Code verified on rev 0.1 Silicon
				09/19/04		JDT Ported to VDSP++ 3.5

Purpose:	Demonstrate multichannel initialization and operation of 
			div.asm in SIMD mode on the 21364.  Computes the quotient
			of its floating point inputs to single precision accuracy 
			(24 bits of mantissa).  QUO = NUM/DENOM
	
************************************************************************/

#include    "def21364.h"

#define		N  2

.extern	divide;

/* DM data */
.SECTION/dm seg_dmda;
.var	NUM[N] = 6.5e1, -1.9335e4;		/* Numerator */
.var	QUO[N];						/* Quotient */


/* PM data */
.SECTION/pm seg_pmda;
.var	DENOM[N] = 0, +5.0e0;		/* Denominator */


/* PM interrupt vector code */
.SECTION/pm   seg_rth;
Reserved_1:     rti; nop; nop; nop;
Chip_Reset:     idle; jump start; nop; nop;


/* Program memory code */
.SECTION/pm seg_pmco;

start:	m1 = 2;   				/* Set up address increment registers */
		m9 = 2;
		l0 = 0;					/* Initialize modulo addressing */
		l1 = 0;
		l12 = 0;
		b0 = NUM;				/* Initialize pointers */
		call divide (db); 		/* Call divide() function */
		b1 = QUO;
		b12 = DENOM;
wait1:   idle;					/* Terminate and wait */
